<?php

/* Requests Handler */

//Start buffering
ob_start();
require_once '../objects/class_management.php';
$oClassManagement = new ClassManagement('spot');
ToolBox::cleanPost($_POST);
ToolBox::cleanPost($_GET);
ToolBox::cleanPost($_REQUEST);
ToolBox::fixGlobalVars(isset($argv)?$argv:array());

//Available variables
$sAction = isset($_REQUEST['a'])?$_REQUEST['a']:'';
$sName = isset($_GET['name'])?$_GET['name']:'';
$sContent = isset($_GET['content'])?$_GET['content']:'';
$iChunk = isset($_GET['chunk'])?$_GET['chunk']:0;
$iProjectId = isset($_REQUEST['project_id'])?$_REQUEST['project_id']:0;
$sField = isset($_REQUEST['field'])?$_REQUEST['field']:'';
$oValue = isset($_REQUEST['value'])?$_REQUEST['value']:'';

//Initiate class
$oSpot = new Spot($oClassManagement, __FILE__);
$oSpot->setProjectId($iProjectId);

$sResult = '';
if($sAction!='')
{
	switch($sAction)
	{
		case 'markers':
			$sResult = $oSpot->getMarkers();
			break;
		case 'feed':
			$sResult = $oSpot->getNewsFeed($iChunk);
			break;
		case 'upload':
			$sResult = $oSpot->upload();
			break;
		case 'add_post':
			$sResult = $oSpot->addPost($sName, $sContent);
			break;
		/*case 'sql':
			$sResult = $oSpot->getDbBuildScript();
			break;*/
		case 'sync_pics':
			$sResult = $oSpot->syncPics();
			break;
		case 'get_admin':
			$sResult = $oSpot->getAdminSettings();
			break;
		case 'set_admin':
			$sResult = $oSpot->setAdminSettings($sField, $oValue);
			break;
		default:
			$sResult = Main::getJsonResult(false, Main::NOT_FOUND);
	}
}
else $sResult = $oSpot->getMainPage();

$sDebug = ob_get_clean();
if(Settings::DEBUG && $sDebug!='') $oSpot->addUncaughtError($sDebug);

echo $sResult;

?>